AnyBackup-AnyBackup Linux 客户端安装失败,提示错误:SELinux is enforcing model

2019-06-28

关键字

客户端、Linux、SELinux

 

适用产品

· AnyBackup 6.0.x

· AnyBackup 5.0.x

· EBackup 5.0.x

 

问题描述

Linux 系统上安装 AnyBackup 客户端时,提示如下错误信息:

***Error: SELinux is enforcing model. !***

***Error: You should change the model to Premissive or Disabled before install the product. !***

***Error: Or the SELinux would prevent the installation. !***

***Error: Set Now? (1) Premissive (2) exit the installation. Please input your select: !***


 

问题影响

Linux 客户端无法完成安装。

 

问题原因

AnyBackup 产品的安全设计要求 Linux 客户端的安装需要将 SELinux 关闭或者调整为 Permissive 模式。

 

解决方案

Linux 系统的 SELinux 关闭或者调整为 Permissive 模式。操作方法如下:

 

方案一,临时将 SELinux 设置为 permissive 模式。

按照提示,输入1,继续安装 AnyBackup Linux 客户端。

注意:临时设置后,重启设备,SELinux 会恢复配置文件的指定状态。

 

方案二,修改配置文件,将 SELinux 永久关闭或者设置为 permissive 模式,但需要重启设备,配置才能生效。

1. 按照提示,输入2,退出客户端安装界面。


2. 执行以下命令,进入 配置界面。

 vi /etc/selinux/config


3. 将配置文件中的 SELINUX=enforcing 改为 SELINUX=disabled 或者 SELINUX=permissive。当前以修改为 permissive 模式为例子。


4. 修改好配置文件,保存退出,重启设备;等设备重启完成后,再重新安装 AnyBackup Linux 客户端。

 

更多信息

当客户端操作系统为 Linux5 或 Linux6 版本时,应选择 Linux 64 位/32 位版本的客户端安装包进行安装。对于客户端安装包位数的选择,则需要和客户端操作系统的位数保持一致。

当客户端操作系统为 Linux7 版本时,应选择 RedHat7 64 位版本的客户端安装包进行安装。

 

联系我们
在线咨询 400 821 6055